﻿using Microsoft.EntityFrameworkCore;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Threading.Tasks;

namespace DiscoBot.gsmeet
{
    public class GSMeetContext : DbContext
    {
        private ulong guildId;
        public DbSet<GSheet> GSheets { get; set; }

        public GSMeetContext(ulong guildId)
        {
            this.guildId = guildId;
        }

        protected override void OnConfiguring(DbContextOptionsBuilder optionsBuilder)
        {
            optionsBuilder.UseSqlite("Data Source=" + guildId + "-gsmeet.db");
        }
    }

    public class GSheet
    {
        [Key]
        public string Name { get; set; }
        public string SheetId { get; set; }
        public string SheetName { get; set; }
        public ulong Channel { get; set; }
        public TimeSpan CheckInterval { get; set; }
        public DateTimeOffset LastChecked { get; set; }
    }

    public class GSSignup
    {
        public string DiscordTag { get; set; }
        public string Name { get; set; }
        public string[] Signups { get; set; }
    }
}
